Bug 827589 - The user instance create script (jboss-as-cp) should allow a port offset to be specified
Summary: The user instance create script (jboss-as-cp) should allow a port offset to b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jboss-as
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-01 19:43 UTC by Dan Allen
Modified: 2014-07-25 03:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-04 12:35:10 UTC


Attachments (Terms of Use)

Description Dan Allen 2012-06-01 19:43:52 UTC
Description of problem:

The user instance create script should allow a port offset to be specified. This port offset would be written to the port-offset attribute on the socket-binding-group element in the instance configuration file.

Version-Release number of selected component (if applicable):

7.1.1-2.fc17-noarch

How reproducible:

There is no option currently.

I propose the following argument:

-p Port offset for the socket binding group

Example:

jboss-as-cp -l $HOME/jboss-as-user-instance -c standalone-web.xml -p 100

This should create the following attribute in the instance configuration file (in this case configuration/standalone-web.xml):

<socket-binding-group name="standard-sockets" default-interface="public" port-offset="100">
  ...
</socket-binding-group>

Comment 1 Marek Goldmann 2012-06-04 12:35:10 UTC
That's another good idea! Fixed in upstream:

https://github.com/fedora-jboss-as/jboss-as-rpm/commit/29de841838ec3043d686dfbe4b71ad7e84e4d742

It'll be available in jboss-as-7.1.1-4.

Comment 2 Fedora Update System 2012-07-04 09:41:37 UTC
jboss-as-7.1.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-as-7.1.1-4.fc17

Comment 3 Fedora Update System 2012-07-23 20:28:13 UTC
jboss-as-7.1.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.